<?php



// Load Nette Framework
require dirname(__FILE__) . '/../../../Nette/loader.php';


// Enable Nette Debugger for error visualisation & logging
NDebugger::$strictMode = TRUE;
NDebugger::$logDirectory = dirname(__FILE__) . '/../log';
NDebugger::enable();


// Configure application
$configurator = new NConfigurator;
$configurator->setTempDirectory(dirname(__FILE__) . '/../temp');

// Enable RobotLoader - this will load all classes automatically
$configurator->createRobotLoader()
	->addDirectory(dirname(__FILE__))
	->register();

// Create Dependency Injection container from config.neon file
$configurator->addConfig(dirname(__FILE__) . '/config.neon');
$container = $configurator->createContainer();

// Opens already started session
if ($container->session->exists()) {
	$container->session->start();
}

// Setup router using mod_rewrite detection
if (function_exists('apache_get_modules') && in_array('mod_rewrite', apache_get_modules())) {
	$container->router = new NRouteList;
	$container->router[] = new NRoute('index.php', 'Dashboard:default', NRoute::ONE_WAY);
	$container->router[] = new NRoute('<presenter>/<action>[/<id>]', 'Dashboard:default');

} else {
	$container->router = new NSimpleRouter('Dashboard:default');
}

// Run the application!
$container->application->run();
