<?php



// Load Nette Framework
require dirname(__FILE__) . '/../../../Nette/loader.php';


// Enable Nette Debugger for error visualisation & logging
NDebugger::$strictMode = TRUE;
NDebugger::$logDirectory = dirname(__FILE__) . '/../log';
NDebugger::enable();


// Configure application
$configurator = new NConfigurator;
$configurator->setTempDirectory(dirname(__FILE__) . '/../temp');

// Enable RobotLoader - this will load all classes automatically
$configurator->createRobotLoader()
	->addDirectory(dirname(__FILE__))
	->register();

// Create default Dependency Injection container
$container = $configurator->createContainer();


// Setup router
$container->router = new NSimpleRouter('Default:default');


// Run the application!
$container->application->run();
