<?php

/**
 * Test: NConfigurator and minimal container.
 *
 * @author     David Grudl
 * @package    Nette\Config
 * @subpackage UnitTests
 */



require dirname(__FILE__) . '/../bootstrap.php';



$configurator = new NConfigurator;
$configurator->setTempDirectory(TEMP_DIR);
$configurator->addParameters(array(
	'hello' => 'world',
));
$container = $configurator->createContainer();

Assert::true( $container instanceof SystemContainer );

Assert::same( array(
	'appDir' => dirname(__FILE__),
	'wwwDir' => NULL,
	'productionMode' => TRUE,
	'consoleMode' => PHP_SAPI === 'cli',
	'container' => array(
		'class' => 'SystemContainer',
		'parent' => 'Nette\\DI\\Container',
	),
	'tempDir' => TEMP_DIR,
	'hello' => 'world',
), $container->parameters );

Assert::true( $container->cacheJournal instanceof NFileJournal );
Assert::true( $container->cacheStorage instanceof NFileStorage );
Assert::true( $container->templateCacheStorage instanceof NPhpFileStorage );
Assert::true( $container->httpRequest instanceof NHttpRequest );
Assert::true( $container->httpResponse instanceof NHttpResponse );
Assert::true( $container->httpContext instanceof NHttpContext );
Assert::true( $container->session instanceof NSession );
Assert::true( $container->user instanceof NUser );
Assert::true( $container->userStorage instanceof NUserStorage );
Assert::true( $container->application instanceof NApplication );
Assert::true( $container->router instanceof NRouteList );
Assert::true( $container->presenterFactory instanceof NPresenterFactory );
Assert::true( $container->mailer instanceof NSendmailMailer );

Assert::true( $container->nette->createCache() instanceof NCache );
Assert::same( 'nm', $container->nette->createCache('nm')->getNamespace() );
Assert::true( $container->nette->createForm() instanceof NForm );
Assert::true( $container->nette->createLatte() instanceof NLatteFilter );
Assert::true( $container->nette->createTemplate() instanceof NFileTemplate );
